# Class CATypePackageUninstallBehaviorConverter

java.lang.Object
com.io7m.cardant.shell.internal.converters.CATypePackageUninstallBehaviorConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>`

public final class CATypePackageUninstallBehaviorConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>
A value converter for item IDs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypePackageUninstallBehaviorConverter()`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<CATypePackageTypeRemovalBehavior>`
  `convertedClass()`
  `CATypePackageTypeRemovalBehavior`
  `convertFromString(String text)`
  `String`
  `convertToString(CATypePackageTypeRemovalBehavior value)`
  `CATypePackageTypeRemovalBehavior`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CATypePackageUninstallBehaviorConverter

    public CATypePackageUninstallBehaviorConverter()
    Construct a converter.

- ## Method Details

  - ### convertFromString

    public CATypePackageTypeRemovalBehavior convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>`

  - ### convertToString

    public String convertToString(CATypePackageTypeRemovalBehavior value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>`

  - ### exampleValue

    public CATypePackageTypeRemovalBehavior exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>`

  - ### convertedClass

    public Class<CATypePackageTypeRemovalBehavior> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<CATypePackageTypeRemovalBehavior>`